package com.imanan.LiveCamera;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.preference.PreferenceActivity;
import android.util.Log;

//public class Preference extends Activity implements android.view.View.OnClickListener {

public class Preference extends PreferenceActivity {
    private SharedPreferences myPref;
        
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        Log.d("Rreference","onCreate Start");
        
//        addPreferencesFromResource(R.xml.prefes);
        addPreferencesFromResource(R.xml.live_pref);

    	myPref = PreferenceManager.getDefaultSharedPreferences(this);

    	android.preference.Preference userid_preference = getPreferenceScreen().findPreference("infoUserid");
    	String infoUserid = myPref.getString("infoUserid", "");
    	if ( infoUserid != "" ) {
      	  userid_preference.setSummary(myPref.getString("infoUserid", ""));
    	}
    	android.preference.Preference gpsid_preference = getPreferenceScreen().findPreference("infoGps");
    	String infoGps = myPref.getString("infoGps", "");
    	if ( infoGps != "" ) {
      	  gpsid_preference.setSummary(myPref.getString("infoGps", ""));
    	}
    	android.preference.Preference photoid_preference = getPreferenceScreen().findPreference("infoPhoto");
    	String infoPhoto = myPref.getString("infoPhoto", "");
    	if ( infoPhoto != "" ) {
      	  photoid_preference.setSummary(myPref.getString("infoPhoto", ""));
    	}
    }

    public void onPreferenceClick(Preference preference) {
        Log.d("Rreference","onCrick Start");
        //open browser or intent here

    }


}