package com.imanan.LiveCamera;

import android.app.Activity;
import android.content.Intent;
import android.location.Criteria;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

public class GpsActivity extends Activity implements LocationListener {
    private LocationManager mLocationManager;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        Log.v("LocationListener","Start");

        setContentView(R.layout.main);

      try {
        mLocationManager = (LocationManager) getSystemService(LOCATION_SERVICE);
        String provider = mLocationManager.getBestProvider(new Criteria(), true);
        mLocationManager.requestLocationUpdates(provider, 0, 0, this);
        Location location = mLocationManager.getLastKnownLocation(provider);
    	double latitude = location.getLatitude();  
	    double longitude = location.getLongitude();  

//    Toast.makeText(this, "GPS擾F"+Double.toString(latitude), Toast.LENGTH_SHORT).show();  

        Intent intent = new Intent();  
        intent.putExtra("GPS", Double.toString(latitude)+","+Double.toString(longitude));  
        setResult(RESULT_OK, intent);  
      } 
      catch ( Exception e ) {
          Intent intent = new Intent();  
          intent.putExtra("GPS", "(ݒ)");  
          setResult(RESULT_CANCELED, intent);  
          Toast.makeText(this, "ʒuƃZLeBuGPS@\gpvOFFłB", Toast.LENGTH_SHORT).show();  
      }
	  finish();  
    
/*        
        Log.v("LocationListener","Criteria");
        Log.v("onCreate","mLocationManager");
        try {
          Log.v("onCreate","mLocationManager2");
          Location location = mLocationManager.getLastKnownLocation(bestProvider_);
          Log.v("Latitude1","Longitude1");
          double latitude = location.getLatitude();//ܓx
          double longitude = location.getLongitude();//ox

          Log.v("Latitude","Longitude");
          Log.v("Latitude", String.valueOf(latitude));
          Log.v("Longitude", String.valueOf(longitude));
        
        } catch (Exception e) {
        	Toast.makeText(this, "uGPS@\gpvLɂĉB", Toast.LENGTH_SHORT).show(); 
        	return;
        }
*/
    }
    
    @Override
    protected void onResume() {
        super.onResume();
    }
    
    @Override
    protected void onPause() {
        super.onPause();
    }

    public void onLocationChanged(Location location){  
    }  
    
    public void onProviderDisabled(String provider) {
    }

    public void onProviderEnabled(String provider) {

    }

    public void onStatusChanged(String provider, int status, Bundle extras) {
    }
}